/*------------------------------------------------*/
/* c07dynamic/main.c                              */

#include <stdio.h>
#include <dlfcn.h>
#include "api.h"


int main(void) {
	char *error;
	void *lib;
	struct sFunkce (*api)();
	struct sFunkce f;

	lib = dlopen("./api.so", RTLD_LAZY);
	if(lib == NULL) {
		fprintf(stderr, "%s\n", dlerror());
		return 1;
	}

	(void) dlerror(); /* vycisteni chyb */
	api =  dlsym(lib, "api");
	error = dlerror();
	if(error != NULL) {
		fprintf(stderr, "%s\n", error);
		return 1;
	}

	f = (*api)();

	printf("Volam funkci pluginu \"%s\"\n", f.nazev);

	(*f.fce)("Hello World!\n");

	/* zavreni knihovny, uvolneni zdroju */
	dlclose(lib);
	return 0;
}

/*------------------------------------------------*/
