/*------------------------------------------------*/
/* 26regexp/parse-options.h                       */

#ifndef _PARSE_OPTIONS
#define _PARSE_OPTIONS
#include <stdbool.h>
#include <stdio.h>

typedef struct {
    bool err;
    bool help;
    bool show;
    char * pattern;
    char * string;
    bool icase;
    bool newline;
    bool extended;
} task;


task parseOptions(int argc, char * const argv[]);
void printOptions(task t);
void printOptionsHelp();

#endif
/*------------------------------------------------*/
