/*------------------------------------------------*/
/* 45cgi/html.c                                   */
#include "html.h"

void htmlStart(char *title)
{
    /* hlavicky */
    printf("Content-Type: text/html;charset=UTF-8\r\n");
    printf("\r\n");

    /* html */
    printf("<html>\n\t<head>\n\t\t<title>%s</title>\n\t</head>\n", title);
    printf("\t<body>\n");
    printf("\t\t<h1>%s</h1>\n", title);
}

void htmlEnd(void)
{
    printf("\t</body>\n");
    printf("</html>\n");
}

void htmlForm(char *method)
{
    printf("\t\t<form method='%s' action='#'>\n", method);
    printf("\t\t\t<fieldset>\n");
    printf("\t\t\t\tJméno: <input type='text' name='jmeno' value='' /><br />\n");
    printf("\t\t\t\tPříjmení: <input type='text' name='prijmeni' value='' /><br />\n");
    printf("\t\t\t\t<input type='submit' />\n");
    printf("\t\t\t</fieldset>\n");
    printf("\t\t</form>\n");
}

void htmlFormWithFile()
{
    printf("\t\t<form method='post' enctype='multipart/form-data' action='#'>\n");
    printf("\t\t\t<fieldset>\n");
    printf("\t\t\t\tJméno: <input type='text' name='jmeno' value='' /><br />\n");
    printf("\t\t\t\tPříjmení: <input type='text' name='prijmeni' value='' /><br />\n");
    printf("\t\t\t\tSoubor: <input type='file' name='soubor' value='' /><br />\n");
    printf("\t\t\t\t<input type='submit' />\n");
    printf("\t\t\t</fieldset>\n");
    printf("\t\t</form>\n");
}
/*------------------------------------------------*/
