/*------------------------------------------------*/
/* 22process/shmap_create.c                       */

#include <sys/stat.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include "shmap.h"

int main(void) {
    int segment_id; /* identifikace zdilene pameti */
    char * pole;

    segment_id = shmget(SKEY, sizeof(char)*N,
             IPC_CREAT | IPC_EXCL | S_IRUSR | S_IWUSR);
    if(segment_id < 0) {
        if(errno == EEXIST) {
            fprintf(stderr,"Segment s key = %i už existuje.\n", SKEY);
            return 1;
        }
        else {
            fprintf(stderr,"Stala se nějaká chyba\n");
            return 1;
        }
    }
    printf("Segment s key = %i byl vytvořen.\n", SKEY);

    pole = (char *) shmat(segment_id, NULL, 0);
    memset(pole, '\0', N);
    shmdt(pole);
    return 0;
}

/*------------------------------------------------*/
